import moment from 'moment';
import { useEffect, useState, useMemo  } from 'react';
import { getWeekFromCurrentDate } from '../../helpers/CalendarHelpers';


function WeekCalendar() {

  const [date, setDate] = useState({year: '', month: '', currentDay: ''})

  useEffect(()=>{
    const year = new Date().getFullYear()
    const month = new Date().getMonth()
    const currentDay = moment().date()
    setDate({year: year, month: month, currentDay: currentDay})
  }, [])

  const week = useMemo(()=>{
    return getWeekFromCurrentDate(date.year, date.month, date.currentDay)
  }, [date])


  return (
    <>
      {'dasd'}
    </>
  );
}

export default WeekCalendar;